Update Settings for Organization Repositories

PUT /api/0/organizations/{organization_id_or_slug}/repos/settings/

Update code review settings for one or more repositories in the organization. Provide at least one of enabledCodeReview or codeReviewTriggers.

Path Parameters

organization_id_or_slug (string)
REQUIRED

The ID or slug of the organization the resource belongs to.

Body Parameters

repositoryIds (array(integer))
REQUIRED

List of repository IDs to update settings for. Maximum 1000 repositories.

enabledCodeReview (boolean)

Whether code review is enabled for these repositories

codeReviewTriggers (array(string))
choices:
  • on_new_commit
  • on_ready_for_review

List of triggers for code review

Scopes

<auth_token> requires one of the following scopes:
  • org:admin
  • org:integrations
  • org:write
Copied
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/repos/settings/ \
 -H 'Authorization: Bearer <auth_token>' \
 -X PUT \
 -H 'Content-Type: application/json' \
 -d '{}'
RESPONSESCHEMA
Copied
.
Was this helpful?